%define         docfiles       BUGS COPYING README TODO

Name:           wmtop
Version:        0.85
Release:        %mkrel 5
Summary:        A dock application that is a mini graphical CPU monitoring utility
License:        GPLv2
Group:          Monitoring

URL:            https://repo.or.cz/dockapps.git/shortlog/refs/tags/wmtop-0.85
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(x11) 
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(dockapp)


%description
Wmtop is another dockapp for WindowMaker, or any window manager and
desktop environment that handles dock applications. It maintains a
view of the 3 top CPU (or memory) consuming processes displaying the
amount of CPU used as a horizontal bar.



%prep
%setup -q 

%build
autoreconf -fis
%configure
%make_build


%install
%makeinstall


%files
%doc %{docfiles}
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.85-5.mga10
+ Revision: 2213011
- Mageia 10 Mass Rebuild

* Thu Mar 31 2022 umeabot <umeabot> 0.85-4.mga9
+ Revision: 1835939
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.85-3.mga8
+ Revision: 1518215
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.85-2.mga7
+ Revision: 1301707
- Mageia 7 Mass Rebuild

* Tue Mar 08 2016 eatdirt <eatdirt> 0.85-1.mga6
+ Revision: 987354
- Upgrade to version 0.85

* Fri Feb 12 2016 umeabot <umeabot> 0.84-8.mga6
+ Revision: 959183
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 eatdirt <eatdirt> 0.84-7.mga6
+ Revision: 888600
- Rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 0.84-6.mga5
+ Revision: 750619
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.84-5.mga5
+ Revision: 690354
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.84-4.mga4
+ Revision: 520149
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.84-3.mga3
+ Revision: 385799
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 0.84-2.mga3
+ Revision: 315343
- Fix compilation options, rebuild for mga3

* Sun Oct 09 2011 eatdirt <eatdirt> 0.84-1.mga2
+ Revision: 153533
- imported package wmtop


* Fri Oct 09 2011 Chris Ringeval <dirteat@gmail.com> 0.84-1.mga2
- import wmtop
